Subject: RE: IESG proposed statement on the IETF mission

From: [email-masked]
Date: Tue, 28 Oct 2003 10:39:13 +0200

Harald,

>
> > I almost feel that this should just be dropped from the statement.  My
> > reasons being that I have been told by the IESG about protocol
> > extensibility is that the IETF wants to have a tighter control over protocol
> > extensibility, even for extensions thought to be for limited use
> > or specific networks (for example, cellular networks).  The reason
> > being is that once something is out there, it often starts to be used
> > in ways which were not originally planned or used outside of its
> > original 'limited use' plans.  Therefore, in order to ensure proper
> > protocol behavior & interoperability, the IESG wants to manage
> > extensibility.  This has been very true in SIP & Diameter, 
> > for example.
> 
> True. Nearly a year ago, we attempted to publish 
> draft-iesg-vendor-extensions, to describe these problems in more detail - 
> but we failed to get that finished.

So, I think we have to be careful about what we consider part of
the IETF mission, if we cannot get basic agreement upon the implications
of the mission statement.

> > On the other hand, we see a protocol like RADIUS, which the IETF
> > has never done a good job at working with or standardizing, being
> > developed in 4 or more SDOs, and not in a colaborative manner.  This
> > makes a big mess with the RADIUS spec, and RADIUS does seem like a
> > protocol that has a big effect on the Internet.
> 
> You'll have no disagreement from me that RADIUS is a problem!
> 
> > So, in summary, the IESG has shown not to follow the above paragraph,
> > sometimes even for good reasons.  I can't think of a way in which
> > modify the paragraph to make it any better - because there will always
> > be examples of work that the IETF choses to standardize (or not)
> > which will violate that part of the mission.  Perhaps moving the
> > 'for the internet to the previous paragraph is what is needed.
> 
> as I've said before - I don't think we can come up with a mission statement 
> that retroactively blesses everything we've done well before, or 
> retroactively curses everything we've done badly. And we do require 
> flexibility to "do what's right". But without the ability to talk about 
> what the mission of the IETF ... I think we'll do badly.

The past is the past, I don't want to revisit the past.  What I want
to do is to look forward.  We should have flexibility in terms of
how to decide what the IETF can do, what it can't do and what it
should (or shouldn't do).  I think we cannot make a blanket statement
in the mission that covers this.

thanks,
John